Index: lib/json.h
===================================================================
--- lib/json.h	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/json.h	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -51,21 +51,20 @@
    #include <string.h>
 
-   extern "C"
-   {
-
-#endif
-
-typedef struct
+extern "C"
 {
-   unsigned long max_memory;
-   int settings;
-
-   /* Custom allocator support (leave null to use malloc/free)
-    */
-
-   void * (* mem_alloc) (size_t, int zero, void * user_data);
-   void (* mem_free) (void *, void * user_data);
-
-   void * user_data;  /* will be passed to mem_alloc and mem_free */
+
+#endif
+
+typedef struct {
+	unsigned long max_memory;
+	int settings;
+
+	/* Custom allocator support (leave null to use malloc/free)
+	 */
+
+	void * (*mem_alloc)(size_t, int zero, void * user_data);
+	void (* mem_free)(void *, void * user_data);
+
+	void * user_data; /* will be passed to mem_alloc and mem_free */
 
 } json_settings;
@@ -73,14 +72,13 @@
 #define json_enable_comments  0x01
 
-typedef enum
-{
-   json_none,
-   json_object,
-   json_array,
-   json_integer,
-   json_double,
-   json_string,
-   json_boolean,
-   json_null
+typedef enum {
+	json_none,
+	json_object,
+	json_array,
+	json_integer,
+	json_double,
+	json_string,
+	json_boolean,
+	json_null
 
 } json_type;
@@ -88,155 +86,148 @@
 extern const struct _json_value json_value_none;
 
-typedef struct _json_value
-{
-   struct _json_value * parent;
-
-   json_type type;
-
-   union
-   {
-      int boolean;
-      json_int_t integer;
-      double dbl;
-
-      struct
-      {
-         unsigned int length;
-         json_char * ptr; /* null terminated */
-
-      } string;
-
-      struct
-      {
-         unsigned int length;
-
-         struct
-         {
-            json_char * name;
-            unsigned int name_length;
-
-            struct _json_value * value;
-
-         } * values;
-
-         #if defined(__cplusplus) && __cplusplus >= 201103L
-         decltype(values) begin () const
-         {  return values;
-         }
-         decltype(values) end () const
-         {  return values + length;
-         }
-         #endif
-
-      } object;
-
-      struct
-      {
-         unsigned int length;
-         struct _json_value ** values;
-
-         #if defined(__cplusplus) && __cplusplus >= 201103L
-         decltype(values) begin () const
-         {  return values;
-         }
-         decltype(values) end () const
-         {  return values + length;
-         }
-         #endif
-
-      } array;
-
-   } u;
-
-   union
-   {
-      struct _json_value * next_alloc;
-      void * object_mem;
-
-   } _reserved;
-
-
-   /* Some C++ operator sugar */
+typedef struct _json_value {
+	struct _json_value * parent;
+
+	json_type type;
+
+	union {
+		int boolean;
+		json_int_t integer;
+		double dbl;
+
+		struct {
+			unsigned int length;
+			json_char * ptr; /* null terminated */
+
+		} string;
+
+		struct {
+			unsigned int length;
+
+			struct {
+				json_char * name;
+				unsigned int name_length;
+
+				struct _json_value * value;
+
+			} * values;
+
+	 #if defined(__cplusplus) && __cplusplus >= 201103L
+			decltype(values) begin() const
+			{  return values; }
+			decltype(values) end() const
+			{  return values + length; }
+	 #endif
+
+		} object;
+
+		struct {
+			unsigned int length;
+			struct _json_value ** values;
+
+	 #if defined(__cplusplus) && __cplusplus >= 201103L
+			decltype(values) begin() const
+			{  return values; }
+			decltype(values) end() const
+			{  return values + length; }
+	 #endif
+
+		} array;
+
+	} u;
+
+	union {
+		struct _json_value * next_alloc;
+		void * object_mem;
+
+	} _reserved;
+
+
+	/* Some C++ operator sugar */
 
    #ifdef __cplusplus
 
-      public:
-
-         inline _json_value ()
-         {  memset (this, 0, sizeof (_json_value));
-         }
-
-         inline const struct _json_value &operator [] (int index) const
-         {
-            if (type != json_array || index < 0
-                     || ((unsigned int) index) >= u.array.length)
-            {
-               return json_value_none;
-            }
-
-            return *u.array.values [index];
-         }
-
-         inline const struct _json_value &operator [] (const char * index) const
-         { 
-            if (type != json_object)
-               return json_value_none;
-
-            for (unsigned int i = 0; i < u.object.length; ++ i)
-               if (!strcmp (u.object.values [i].name, index))
-                  return *u.object.values [i].value;
-
-            return json_value_none;
-         }
-
-         inline operator const char * () const
-         {  
-            switch (type)
-            {
-               case json_string:
-                  return u.string.ptr;
-
-               default:
-                  return "";
-            };
-         }
-
-         inline operator json_int_t () const
-         {  
-            switch (type)
-            {
-               case json_integer:
-                  return u.integer;
-
-               case json_double:
-                  return (json_int_t) u.dbl;
-
-               default:
-                  return 0;
-            };
-         }
-
-         inline operator bool () const
-         {  
-            if (type != json_boolean)
-               return false;
-
-            return u.boolean != 0;
-         }
-
-         inline operator double () const
-         {  
-            switch (type)
-            {
-               case json_integer:
-                  return (double) u.integer;
-
-               case json_double:
-                  return u.dbl;
-
-               default:
-                  return 0;
-            };
-         }
+public:
+
+	inline _json_value ()
+	{
+		memset(this, 0, sizeof(_json_value));
+	}
+
+	inline const struct _json_value &operator [](int index) const
+	{
+		if (type != json_array || index < 0
+		    || ((unsigned int)index) >= u.array.length) {
+			return json_value_none;
+		}
+
+		return *u.array.values [index];
+	}
+
+	inline const struct _json_value &operator [](const char * index) const
+	{
+		if (type != json_object) {
+			return json_value_none;
+		}
+
+		for (unsigned int i = 0; i < u.object.length; ++i) {
+			if (!strcmp(u.object.values [i].name, index)) {
+				return *u.object.values [i].value;
+			}
+		}
+
+		return json_value_none;
+	}
+
+	inline operator const char *() const
+	{
+		switch (type) {
+		case json_string:
+			return u.string.ptr;
+
+		default:
+			return "";
+		}
+		;
+	}
+
+	inline operator json_int_t() const
+	{
+		switch (type) {
+		case json_integer:
+			return u.integer;
+
+		case json_double:
+			return (json_int_t)u.dbl;
+
+		default:
+			return 0;
+		}
+		;
+	}
+
+	inline operator bool() const
+	{
+		if (type != json_boolean) {
+			return false;
+		}
+
+		return u.boolean != 0;
+	}
+
+	inline operator double() const
+	{
+		switch (type) {
+		case json_integer:
+			return (double)u.integer;
+
+		case json_double:
+			return u.dbl;
+
+		default:
+			return 0;
+		}
+		;
+	}
 
    #endif
@@ -244,14 +235,14 @@
 } json_value;
 
-json_value * json_parse (const json_char * json,
-                         size_t length);
+json_value * json_parse(const json_char * json,
+                        size_t length);
 
 #define json_error_max 128
-json_value * json_parse_ex (json_settings * settings,
-                            const json_char * json,
-                            size_t length,
-                            char * error);
-
-void json_value_free (json_value *);
+json_value * json_parse_ex(json_settings * settings,
+                           const json_char * json,
+                           size_t length,
+                           char * error);
+
+void json_value_free(json_value *);
 
 
@@ -259,13 +250,13 @@
  * use a custom mem_free.
  */
-void json_value_free_ex (json_settings * settings,
-                         json_value *);
+void json_value_free_ex(json_settings * settings,
+                        json_value *);
 
 
 #ifdef __cplusplus
-   } /* extern "C" */
-#endif
-
-#endif
-
-
+}    /* extern "C" */
+#endif
+
+#endif
+
+
Index: lib/json_util.c
===================================================================
--- lib/json_util.c	(revision 34afea7dd6b066a9e7153d16a8e386c7c90ffe87)
+++ lib/json_util.c	(revision eee3a5abe2092c11a4e592f03730dfbe966dc8b2)
@@ -28,35 +28,40 @@
 #include "json_util.h"
 
-json_value *json_o_get( const json_value *obj, const json_char *name )
-{ 
+json_value *json_o_get(const json_value *obj, const json_char *name)
+{
 	int i;
-	
-	if( !obj || obj->type != json_object )
+
+	if (!obj || obj->type != json_object) {
 		return NULL;
+	}
 
-	for( i = 0; i < obj->u.object.length; ++ i)
-		if( strcmp( obj->u.object.values[i].name, name ) == 0 )
+	for (i = 0; i < obj->u.object.length; ++i) {
+		if (strcmp(obj->u.object.values[i].name, name) == 0) {
 			return obj->u.object.values[i].value;
+		}
+	}
 
 	return NULL;
 }
 
-const char *json_o_str( const json_value *obj, const json_char *name )
-{ 
-	json_value *ret = json_o_get( obj, name );
-	
-	if( ret && ret->type == json_string )
+const char *json_o_str(const json_value *obj, const json_char *name)
+{
+	json_value *ret = json_o_get(obj, name);
+
+	if (ret && ret->type == json_string) {
 		return ret->u.string.ptr;
-	else
+	} else {
 		return NULL;
+	}
 }
 
-char *json_o_strdup( const json_value *obj, const json_char *name )
+char *json_o_strdup(const json_value *obj, const json_char *name)
 {
-	json_value *ret = json_o_get( obj, name );
-	
-	if( ret && ret->type == json_string && ret->u.string.ptr )
-		return g_memdup( ret->u.string.ptr, ret->u.string.length + 1 );
-	else
+	json_value *ret = json_o_get(obj, name);
+
+	if (ret && ret->type == json_string && ret->u.string.ptr) {
+		return g_memdup(ret->u.string.ptr, ret->u.string.length + 1);
+	} else {
 		return NULL;
+	}
 }
